error activating Multi-DB on my godaddy shared hosting

I am trying to activate the plugin Multi-DB on a godaddy shared account but I am getting this error message on all the websites:
Plugin could not be activated because it triggered a fatal error.
Warning: require_once(/home/content/04/12452904/html/archyde.com/wp-content/db-config.php) [function.require-once]: failed to open stream: No such file or directory in /home/content/04/12452904/html/archyde.com/wp-content/plugins/multi-db/db.php on line 140
Is there any way can be activate ?
Thanks

  • Tyler Postle

    Hey loan,

    Hope you're doing well today! as Flao kindly mentioned above, is the db-config.php file in that location?

    Also, I just want to mention that if you are on a shared hosting account then you will out-grow your hosting long before you out-grow your database. I would recommend getting setup on a VPS and then installing Multi-DB once you have a few thousand sites on your network.

    Multi-DB really shows how powerful it is when you have a lot of sites on the network, then it spreads out the sites among all DB's to avoid db bloat.

    So, knowing that, if you don't think Multi-DB is for you anymore then I would be more than happy to switch you over to another plugin :slight_smile:

    If you already knew all that and Multi-DB is part of your plan here then of course we'll continue on helping you get this all sorted out.

    Look forward to hearing back loan!

    All the best,
    Tyler

    PS. Welcome to the WPMU DEV Community!

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.